package com.tuoheng.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 巡检问题处理结果对象
 *
 * @team tuoheng
 * @author wanjing
 * @date 2022-11-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_inspection_file_handle")
public class InspectionFileHandle extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 巡检问题文件ID
     */
    private String inspectionFileId;

    /**
     * 处理人ID
     */
    private String handlerUser;

    /**
     * 处理后图片(多个图片逗号“,”分隔)
     */
    private String handlerImage;

    /**
     * 处理结果
     */
    private String handlerResult;

    /**
     * 处理完成时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date handlerTime;

}
