package com.tuoheng.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author ChengWang
 * @Date 2022/11/16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_structure")
public class Structure extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 构造物种类 1桥梁 2涵洞 3通道 4互通 5服务区 6收费站 7匝道 8机场
     */
    private Integer structureType;

    /**
     * 构造物名称
     */
    private String structureName;

    /**
     * 公路id
     */
    private String roadId;

    /**
     * 路段id
     */
    private String sectionId;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 构造物图片，多个用，拼接
     */
    private String imageUrl;


}
