package com.tuoheng.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 巡检问题工单对象 th_work_order
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_work_order")
public class WorkOrder extends BaseEntity {

    private static final long serialVersionUID = 1L;


    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 部门ID
     */
    private String deptId;

    /**
     * 问题工单号
     */
    private String code;

    /**
     * 工单状态：5待分配 10处理中（已分配） 15已完成
     */
    private Integer status;

    /**
     * 分配人员ID
     */
    private String distributionId;

    /**
     * 指派部门ID
     */
    private String assignDeptId;

    /**
     * 指派负责人
     */
    private String assignUser;

    /**
     * 指派负责人联系方式
     */
    private String assignContact;

    /**
     * 指派备注
     */
    private String assignNote;

    /**
     * 指派时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date assignTime;


}
