package com.tuoheng.admin.request.inspection;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 *  修改任务请求参数
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-24
 */
@Data
public class EditInspectionRequest {

    /**
     * ID
     */
    private String id;

    /**
     * 用户ID
     */
    private String userId;

    /**
     *  任务编码
     */
    private String code;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 巡检机场id
     */
    private Integer airportId;

    /**
     * 巡检机场名称
     */
    private String airportName;

    /**
     * 巡检线路Id
     */
    private Integer inspectionLine;

    /**
     * 巡检线路名称
     */
    private String inspectionLineName;

    /**
     * 巡检任务类型: 1 临时巡检(目前只有该一种类型)
     */
    private Integer type;

    /**
     * 巡检方式类型: 1 无人机 2机场巡逻 3 飞手值飞
     */
    private Integer inspectionType;

    /**
     * 部门Id
     */
    private String deptId;

    /**
     * 公路Id
     */
    private String roadId;

    /**
     * 公路名称
     */
    private String roadName;

    /**
     * 路段Id
     */
    private String sectionId;

    /**
     * 路段名称
     */
    private String sectionName;

    /**
     * 是否直播，1：实时  2：离线  默认：null
     */
    private Integer isLive;

    /**
     * 起点经度
     */
    private String startLongitude;

    /**
     * 起点纬度
     */
    private String startLatitude;

    /**
     * 终点经度
     */
    private String endLongitude;

    /**
     * 终点纬度
     */
    private String endLatitude;

    /**
     * 计划巡检日期
     */
    @NotNull(message = "计划巡检日期不能为空！")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date inspectionTime;

    /**
     * 备注
     */
    private String note;

}
