package com.tuoheng.admin.request.inspection;

import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;

import java.util.List;

/**
 * 查询巡检任务请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-17
 */
@Data
public class QueryInspectionPageListRequest extends BaseQuery {

    /**
     * 任务编号
     */
    private String code;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 巡检机场id
     */
    private Integer airportId;

    /**
     * 巡检线路Id
     */
    private Integer inspectionLine;

    /**
     * 巡检任务类型: 1 临时巡检(目前只有该一种类型)
     */
    private Integer type;

    /**
     * 任务状态
     */
    private Integer status;

    /**
     * 巡检方式类型: 1 无人机 2机场巡逻 3 飞手值飞
     */
    private Integer inspectionType;

    /**
     * 部门Id
     */
    private String deptId;

    /**
     * 部门及子部门Id列表
     */
    private List<String> deptIdList;

    /**
     * 租户Id
     */
    private String tenantId;

}
