package com.tuoheng.admin.vo.workorder;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 返回工单视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-07
 */
@Data
public class WorkOrderDetailsVo {

    /**
     * 工单ID
     */
    private String id;

    /**
     * 工单编号
     */
    private String code;

    /**
     * 工单状态：5待分配 10处理中（已分配） 15已完成
     */
    private Integer status;

    /**
     * 工单生成时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 问题总数
     */
    private Integer problemTotalCount;

    /**
     * 已处理问题数
     */
    private Integer processedProblemCount;

    /**
     * 分配人员ID
     */
    private String distributionId;

    /**
     * 分配人员名称
     */
    private String distributionName;

    /**
     * 所在部门ID
     */
    private String deptId;

    /**
     * 所在部门名称
     */
    private String deptName;
}
